﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="MindFusion.Scheduling.WebForms.Samples.CS.Database.Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Database</title>
	<style type="text/css">
		html, body
		{
			margin: 0;
			padding: 0;
			color: #000;
			background: #fff;
			font-family: "Verdana" , "Arial" , "Helvetica" , sans-serif;
			font-size: 11px;
			text-decoration: none;
		}
		option, select, input
		{
			font-family: "Verdana" , "Arial" , "Helvetica" , sans-serif;
			font-size: 11px;
			text-decoration: none;
			padding-left: 2px;
		}
		#main, #body
		{
			width: 960px;
			margin: 20px auto;
		}
		#main
		{
			height: 300px;
		}
		#header2
		{
			padding: 10px;
		}
		#info
		{
			background: #ffffcc;
			border-color: #FFFFFF #000000 #000000 #FFFFFF;
			border-style: solid;
			border-width: 1px;
			padding: 2px;
		}
		#dbview
		{
			border: 1px solid black;
			padding: 5px;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<div id="body">
		<div id="header2">
			<div id="info">
				This sample shows how to synchronize the <b>Schedule</b> with an underlying database.<br />
				The database is updated by handling the <b>ItemCreated</b>, <b>ItemModified</b>,
				<b>ItemInplaceEdited</b> and <b>ItemDeleted</b> events.
				<br />
				Click the <i>'Fetch data'</i> button to refresh the grid view and display the data
				that the database holds.
			</div>
		</div>
		<div id="main">
			<asp:UpdatePanel ID="UpdatePanel1" runat="server">
				<ContentTemplate>
					<MindFusion:Calendar ID="Calendar1" runat="server" Theme="Silver" CurrentView="ResourceView"
						Height="300px" Width="100%" AutoPostBack="true" GroupType="GroupByContacts" OnItemCreated="Calendar1_ItemCreated"
						OnItemDeleted="Calendar1_ItemDeleted" OnItemInplaceEdited="Calendar1_ItemInplaceEdited"
						OnItemModified="Calendar1_ItemModified">
						<ResourceViewSettings GroupHeaderSize="100px">
						</ResourceViewSettings>
					</MindFusion:Calendar>
				</ContentTemplate>
			</asp:UpdatePanel>
		</div>
		<div id="dbview">
			<asp:UpdatePanel ID="UpdatePanel2" runat="server">
				<ContentTemplate>
					<asp:Button ID="btnRefresh" runat="server" Text="Fetch data" OnClick="btnRefresh_Click"
						Style="margin-bottom: 10px;" />
					<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataSource1"
						AllowPaging="True" BackColor="White" BorderColor="#C0C0C0" BorderStyle="None"
						BorderWidth="1px" CellPadding="4" ForeColor="#404040" GridLines="Both">
						<Columns>
							<asp:BoundField DataField="FirstName" HeaderText="First Name" ReadOnly="True" SortExpression="FirstName" />
							<asp:BoundField DataField="LastName" HeaderText="Last Name" ReadOnly="True" SortExpression="LastName" />
							<asp:BoundField DataField="HeaderText" HeaderText="Header Text" ReadOnly="True" SortExpression="HeaderText" />
							<asp:BoundField DataField="StartTime" HeaderText="Start Time" ReadOnly="True" SortExpression="StartTime" />
							<asp:BoundField DataField="EndTime" HeaderText="End Time" ReadOnly="True" SortExpression="EndTime" />
						</Columns>
						<HeaderStyle BackColor="#CCCCCC" Font-Bold="True" ForeColor="#404040" />
						<PagerStyle BackColor="#CCCCCC" ForeColor="#404040" HorizontalAlign="Left" />
						<RowStyle BackColor="#E6E6F0" />
					</asp:GridView>
					<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="Data Source=|DataDirectory|\Planner.sdf"
						ProviderName="System.Data.SqlServerCe.4.0" SelectCommand="SELECT Contacts.FirstName, Contacts.LastName, Events.HeaderText, Events.StartTime, Events.EndTime FROM Events LEFT OUTER JOIN ContactEvents ON ContactEvents.EventID = Events.ID INNER JOIN Contacts ON ContactEvents.ContactID = Contacts.ID ORDER BY Contacts.LastName, Contacts.FirstName, Events.StartTime">
					</asp:SqlDataSource>
				</ContentTemplate>
			</asp:UpdatePanel>
		</div>
	</div>
	</form>
</body>
</html>
